%def_disable debug

Name: anjuta
Version: 1.2.4
Release: alt7

Summary: GNOME IDE for C and C++
Summary(be_BY.UTF-8):	Інтэграванае асяродзьдзе распрацоўкі для GNOME
Summary(ru_RU.UTF-8):	Интегрированная среда разработки для GNOME
Summary(uk_UA.UTF-8):	Інтеґроване середовище розробки для GNOME

Group: Development/GNOME and GTK+
License: %gpl2plus
Url: http://anjuta.org/

Packager: Alexey Rusakov <ktirf@altlinux.org>

Source: %name-%version.tar.gz

Patch: %name-1.2.2-alt-icon.patch
Patch3: %name-1.2.4-fix-link-as-needed.patch
Patch4: %name-1.2.4-fix-crash-on-start.patch
Patch100: %name-1.2.3-alt-updatesystemtags.patch

Requires: zenity gksu

Obsoletes: lib%name

BuildPreReq: rpm-build-licenses

BuildPreReq: gnome-common
BuildRequires: gcc-c++ libSM-devel libgnomeprintui-devel libgnomeui-devel libpcre-devel libpopt-devel libtinfo-devel libvte-devel scrollkeeper zlib-devel libglade-devel

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++.
It has been written for GTK/GNOME, and features a number of advanced
programming facilities. It is basically a GUI interface for the collection
of command line programming utilities and tools available for the GNU system.
These are usually run via a text console, and can be unfriendly to use.

%description -l be_BY.UTF-8
Anjuta -- шматфункцыянальнае інтэграванае асяродзьдзе распрацоўкі (IDE) для C і C++.
Яно напісана для GTK/GNOME і мае шмат адмысловых магчымасьцяў для праграмаваньня.
Фактычна гэта ёсьць графічным інтэрфэйсам да калекцыі уцілітаў ды інструмэнтаў, якія існуюць для GNU-сыстэмаў.

%description -l uk_UA.UTF-8
Anjuta -- багатофункціональне інтегроване середовище розробки (IDE) для C та C++.
Воно написане для GTK/GNOME та має багато потужних можливостей для програмування.
Фактично це графічний інтерфейс до колекції утиліт та інструментів, що існіють для GNU-систем.

%description -l ru_RU.UTF-8
Anjuta -- многофункциональная интегрированая среда разработки (IDE) для C и C++.
Она написана для GTK/GNOME и имеет много специальных возможностей для программирования.
Фактически это графический интерфейс для колекции утилит и инструментов, которые существуют для GNU-систем.

%prep
%setup -q -n %name-%version
%patch
%patch3 -p0
%patch4 -p0
%__subst 's|SUBDIRS = .*|SUBDIRS =|' plugins/Makefile.am
%__subst 's|^.*scrollkeeper-update|#&|' manuals/omf.make
%patch100 -p1

%build
rm -f missing
touch config.rpath
AUTOMAKE=automake NOCONFIGURE=1 ./autogen.sh

%configure \
    --disable-static \
    %{subst_enable debug} \

# SMP-incompatible build - checked 1.2.4-alt7
%make

%install
%makeinstall

# Anjuta-update
install -D -m755 global-tags/create_global_tags.sh %buildroot%_libdir/%name/anjuta_updatetags
install -D -m755 global-tags/tm_global_tags %buildroot%_libdir/%name/tm_global_tags

cat << __SCRIPT__ >Anjuta-update
#!/bin/sh
gksu %_libdir/%name/anjuta_updatetags && \
zenity --info --title "Anjuta: tags updated" \
--text="System tags successfully updated." ||
zenity --warning --title "Anjuta warning: tags not updated" \
--text="Unable to update system tags."
__SCRIPT__

install -m755 Anjuta-update %buildroot%_bindir/Anjuta-update

# create directory for *.tags
mkdir -p %buildroot%_var/cache/anjuta

# make a link in /usr/share/pixmaps (Bug #6995)
pushd %buildroot%_pixmapsdir
ln -sf %name/anjuta_icon.png %name.png
popd
mkdir -p %buildroot%_liconsdir
cp -a %buildroot%_pixmapsdir/%name/anjuta_icon.png %buildroot%_liconsdir/

%find_lang --with-gnome %name

%post
%_libdir/%name/anjuta_updatetags

%postun
if [ $1 = 0 ]; then
rm -rf %_var/cache/anjuta
fi

%files -f %name.lang
%_bindir/*
%_libdir/%name
%_datadir/%name
%_desktopdir/*
%_pixmapsdir/*
%_liconsdir/*
%_datadir/mime-info/*
%_datadir/mimelnk/application/*
%_man1dir/*
%dir %_var/cache/anjuta
%doc AUTHORS ChangeLog FUTURE NEWS README TODO
%doc doc/ScintillaDoc.html

%exclude %_datadir/%name/*.tags
%exclude %_datadir/doc/%name

%changelog
* Sun Jan 11 2009 Alexey Rusakov <ktirf@altlinux.org> 1.2.4-alt7
- use more RPM tags
- fixed dependencies
- removed obsolete update/clean macros
- added Packager tag
- put an icon to the standard location

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt5.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for anjuta

* Tue Dec 25 2007 Alexey Rusakov <ktirf@altlinux.org> 1.2.4-alt5
- fixed building with new autotools.

* Thu Jun 28 2007 Alexey Rusakov <ktirf@altlinux.org> 1.2.4-alt4
- remove %%__ macros

* Fri Sep 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.2.4-alt3.1
- rebuild with new libvte.

* Sun Apr 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.2.4-alt3
- added 'debug' switch.
- fixed crashing on start.

* Mon Apr 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.2.4-alt2
- fixed linking with --as-needed
- spec cleanup
- squeezed dependencies
- removed Debian menu support.

* Sat Aug 13 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.2.4-alt1
- The fix for Scintilla misbehavior has been merged into mainstream.

* Thu Aug 11 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.2.3-alt5
- Added a patch for Scintilla misbehavior due to Pango (GNOME Bug #312075)

* Sat Jun 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.2.3-alt4
- Fixed Bug #6995.

* Fri May 13 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.2.3-alt3
- Official 1.2.3 release.

* Sun Apr 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.2.3-alt2
- 1.2.3 pre-release.
- Removed some excess buildreqs.

* Fri Feb 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.2.3-alt1
- Updated sources from CVS stable branch.
- Replaced Xdialog with zenity.
- Updated the spec to fit current Sisyphus and work with CVS sources.
- Disabled plugins building since all the three are currently broken.

* Fri Jul 23 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt5
- added icon for Anjuta submenu
- move anjuta_updatetags, tm_globals_tags to /usr/lib/anjuta
- remove /var/cache/anjuta only when package removed (not upgraded)

* Thu Jul 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt4
- apply --disable-static to configure.
- do not list /usr/share/locale, /usr/share/omf/* and 
  /usr/share/gnome/help/* in %files (find-lang --with-gnome 
  treat these directories to find language specific files).
- use freedesktop2menu.pl to create menu file.
  Remove unusual icons from src.rpm
- remove unusual requires.
- updated buildreqs.
- other minor fixes, cleanups and .spec optimizatiions.
- fix #4766 (patch1)

* Thu May 20 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt3
- minor fixes

* Wed Apr 28 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt2
- fixed #3944

* Thu Apr 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt1
- new version
- added menu entry

* Mon Feb 16 2004 Vital Khilko <vk@altlinux.ru> 1.2.1-alt1
- new version
- added ru, be, uk package description

* Sat Apr 12 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt2
- Added libanjuta obsoletes
- added icon in menu entry

* Mon Mar 31 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt1
- New version

* Tue Jan 21 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.9-alt2
- made rebuildable

* Tue Dec 18 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.8-alt1
- 0.1.8

* Thu Sep  6 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.7-alt1
- 0.1.7

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt2
- Update URLs

* Mon Jul  9 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt1
- 0.1.5

* Thu Jun 14 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Sat Jan 20 2001 AEN <aen@logic.ru>
- RE adaptation
- 1.1.2

* Thu Jan  4 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new url

* Thu Nov  2 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs
